> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Experiment Voting Context

> Return metadata that public voters need before voting.



## OpenAPI

````yaml /openapi.json get /v1/experiments/{experiment_id}/voting-context
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/experiments/{experiment_id}/voting-context:
    get:
      tags:
        - Experiments
      summary: Get Experiment Voting Context
      description: Return metadata that public voters need before voting.
      operationId: >-
        get_experiment_voting_context_v1_experiments__experiment_id__voting_context_get
      parameters:
        - in: path
          name: experiment_id
          required: true
          schema:
            format: uuid
            title: Experiment Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentVotingContextResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    ExperimentVotingContextResponse:
      description: Metadata safe to show to public voters before serving a pair.
      properties:
        allow_playback_speed:
          default: false
          title: Allow Playback Speed
          type: boolean
        anchor_field:
          anyOf:
            - type: string
            - type: 'null'
          title: Anchor Field
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        enforce_playback:
          default: false
          title: Enforce Playback
          type: boolean
        id:
          format: uuid
          title: Id
          type: string
        kind:
          $ref: '#/components/schemas/ExperimentKind'
        min_playback_percent:
          default: 0
          title: Min Playback Percent
          type: integer
        min_viewing_seconds:
          default: 0
          title: Min Viewing Seconds
          type: integer
        name:
          title: Name
          type: string
        objective:
          $ref: '#/components/schemas/ExperimentObjective'
        require_feedback:
          default: false
          title: Require Feedback
          type: boolean
        requires_anchor:
          default: true
          title: Requires Anchor
          type: boolean
        type:
          $ref: '#/components/schemas/ExperimentType'
      required:
        - id
        - name
        - description
        - kind
        - objective
        - type
        - anchor_field
      title: ExperimentVotingContextResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExperimentKind:
      description: Kinds of experiments (extensible).
      enum:
        - simple
        - advanced
      title: ExperimentKind
      type: string
    ExperimentObjective:
      description: User-facing objective for experiment behavior.
      enum:
        - benchmark
        - optimization
        - rlhf_loop
      title: ExperimentObjective
      type: string
    ExperimentType:
      description: Types of experiments.
      enum:
        - image
        - audio
        - text
        - video
      title: ExperimentType
      type: string
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````